clear
%%%%Read the data, here is the data for loans originated in eurozone for dollar currency before the financial crisis
Data = readtable('USDPreCrisis.xlsx');

%%%%Set the fixed effect, here is the BankFirm
Category = Data.BankFirm;

%%%%%Set dependent variable (y) and independent variables (x)
%%%Set the dependent variable, here is the loan amount
y = table(Data.LoanAmount);

%%%Set the independent variables x
%%%Test with Shadow Rate
x = Data(:,[7 9 8 17:24]);
%%%Run the fixed effect model
FixedEffectModel(Category, y, x)

%%%Set the independent variables x
%%%Test with Lagged Shadow Rate
x = Data(:,[2 9 8 17:24]);
%%%Run the fixed effect model
FixedEffectModel(Category, y, x)

%%%Set the independent variables x
%%%Test with both Sahdow Rate and Lagged Sahdow Rate
x = Data(:,[7 2 9 8 17:24]);
%%%Run the fixed effect model
FixedEffectModel(Category, y, x)
